-- This Source Code Form is subject to the terms of the bCDDL, v. 1.1.
-- If a copy of the bCDDL was not distributed with this
-- file, You can obtain one at http://beamng.com/bCDDL-1.1.txt

local M = {}

local function onReset()
  electrics.values['brake_R'] = 0
  electrics.values['brake_L'] = 0
  
end

local function updateGFX(dt) -- ms
  electrics.values['brake_R'] = electrics.values['brake'] + (4 * math.max(0,(electrics.values['steering_input']-0.75)))
  electrics.values['brake_L'] = electrics.values['brake'] + (-4 * math.min(0,(electrics.values['steering_input']+0.75)))
end


-- public interface
M.onInit    = onReset
M.onReset   = onReset
M.updateGFX = updateGFX

return M
